picard.cmdline

## Interface CommandLineProgramGroup

- All Known Implementing Classes:
    Alpha, Fasta, Fingerprinting, Illumina, Intervals, Metrics, None, SamOrBam, Testing, VcfOrBcf

      public interface CommandLineProgramGroup

  Interface for groups of CommandLinePrograms.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<CommandLineProgramGroup>` | `comparator` Compares two program groups by name.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the description of this program.
    `String` | `getName()` Gets the name of this program.

- - ### Field Detail

    - #### comparator

          static final Comparator<CommandLineProgramGroup> comparator

      Compares two program groups by name.

  - ### Method Detail

    - #### getName

          String getName()

      Gets the name of this program.

    - #### getDescription

          String getDescription()

      Gets the description of this program.